"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.kDefaultOpenBrowserTimeout = exports.createMongoDBOIDCPlugin = void 0;
const plugin_1 = require("./plugin");
/**
 * Create a new OIDC plugin instance that can be passed to the Node.js MongoDB
 * driver's MongoClientOptions struct.
 *
 * This plugin instance can be passed to multiple MongoClient instances.
 * It caches credentials based on cluster ID and username. If no username is
 * provided when connecting to the MongoDB instance, the cache will be shared
 * across all MongoClients that use this plugin instance.
 *
 * @public
 */
function createMongoDBOIDCPlugin(options) {
    const plugin = new plugin_1.MongoDBOIDCPluginImpl({ ...options });
    return {
        mongoClientOptions: plugin.mongoClientOptions,
        logger: plugin.logger,
    };
}
exports.createMongoDBOIDCPlugin = createMongoDBOIDCPlugin;
/** @internal */
exports.kDefaultOpenBrowserTimeout = 20000;
//# sourceMappingURL=api.js.map