import type { MongoDBOIDCLogEventsMap, OIDCAbortSignal, OIDCMechanismServerStep1, OIDCRequestTokenResult, TypedEventEmitter } from './types';
import type { MongoDBOIDCPlugin, MongoDBOIDCPluginOptions } from './api';
/** @internal */
export declare class MongoDBOIDCPluginImpl implements MongoDBOIDCPlugin {
    private readonly options;
    readonly logger: TypedEventEmitter<MongoDBOIDCLogEventsMap>;
    private readonly mapUserToAuthState;
    readonly mongoClientOptions: MongoDBOIDCPlugin['mongoClientOptions'];
    constructor(options: Readonly<MongoDBOIDCPluginOptions>);
    private isFlowAllowed;
    private getAuthState;
    private getRedirectURI;
    private getInitialOIDCIssuerAndClientParams;
    private openBrowser;
    private notifyDeviceFlow;
    private storeTokenSet;
    private authorizationCodeFlow;
    private deviceAuthorizationFlow;
    private initiateAuthAttempt;
    requestToken(principalName: string | undefined, serverMetadata: OIDCMechanismServerStep1, driverAbortSignal?: OIDCAbortSignal | number): Promise<OIDCRequestTokenResult>;
    refreshToken(principalName: string | undefined, serverMetadata: OIDCMechanismServerStep1, previousResult: OIDCRequestTokenResult, driverAbortSignal?: OIDCAbortSignal | number): Promise<OIDCRequestTokenResult>;
}
//# sourceMappingURL=plugin.d.ts.map